Uses of Class
io.helidon.security.providers.oidc.common.OidcConfig.Builder
Packages that use OidcConfig.Builder
Package
Description
Open ID Connect (OIDC) classes usable from all OIDC related components.
-
Uses of OidcConfig.Builder in io.helidon.security.providers.oidc.common
Methods in io.helidon.security.providers.oidc.common that return OidcConfig.BuilderModifier and TypeMethodDescriptionAudience of issued tokens.OidcConfig.Builder.authorizationEndpointUri(URI uri) URI of an authorization endpoint used to redirect users to for logging-in.OidcConfig.Builder.baseScopes(String scopes) Configure base scopes.static OidcConfig.BuilderOidcConfig.builder()Create a builder to programmatically construct OIDC configuration.Client ID as generated by OIDC server.OidcConfig.Builder.clientSecret(String clientSecret) Client secret as generated by OIDC server.OidcConfig.Builder.clientTimeout(Duration duration) Timeout of calls using web client.Update this builder with values from configuration.OidcConfig.Builder.cookieDomain(String domain) Domain the cookie is valid for.OidcConfig.Builder.cookieEncryptionEnabled(boolean cookieEncryptionEnabled) Whether to encrypt token cookie created by this microservice.OidcConfig.Builder.cookieEncryptionEnabledIdToken(boolean cookieEncryptionEnabled) Whether to encrypt id token cookie created by this microservice.OidcConfig.Builder.cookieEncryptionName(String cookieEncryptionName) Name of the encryption configuration available throughSecurity.encrypt(String, byte[])andSecurity.decrypt(String, String).OidcConfig.Builder.cookieEncryptionPassword(char[] cookieEncryptionPassword) Master password for encryption/decryption of cookies.OidcConfig.Builder.cookieHttpOnly(Boolean httpOnly) When using cookie, if set to true, the HttpOnly attribute will be configured.OidcConfig.Builder.cookieMaxAgeSeconds(long age) When using cookie, used to set MaxAge attribute of the cookie, defining how long the cookie is valid.OidcConfig.Builder.cookieName(String cookieName) Name of the cookie to use.OidcConfig.Builder.cookieNameIdToken(String cookieName) Name of the cookie to use for id token.OidcConfig.Builder.cookiePath(String path) Path the cookie is valid for.OidcConfig.Builder.cookieSameSite(SetCookie.SameSite sameSite) When using cookie, used to set the SameSite cookie value.OidcConfig.Builder.cookieSameSite(String sameSite) When using cookie, used to set the SameSite cookie value.OidcConfig.Builder.cookieSecure(Boolean secure) When using cookie, if set to true, the Secure attribute will be configured.OidcConfig.Builder.crossOriginConfig(CrossOriginConfig crossOriginConfig) Assign cross-origin resource sharing settings.OidcConfig.Builder.frontendUri(String uri) Full URI of this application that is visible from user browser.OidcConfig.Builder.headerTokenHandler(TokenHandler tokenHandler) ATokenHandlerto process header containing a JWT.OidcConfig.Builder.identityUri(URI uri) URI of the identity server, base used to retrieve OIDC metadata.OidcConfig.Builder.introspectEndpointUri(URI uri) Endpoint to use to validate JWT.Issuer of issued tokens.OidcConfig.Builder.logoutEnabled(Boolean logoutEnabled) Whether to enable logout support.OidcConfig.Builder.logoutEndpointUri(URI logoutEndpointUri) URI of a logout endpoint used to redirect users to for logging-out.Path to register web server for logout link.OidcConfig.Builder.maxRedirects(int maxRedirects) Configure maximal number of redirects when redirecting to an OIDC provider within a single authentication attempt.OidcConfig.Builder.oidcMetadata(Resource resource) Resource configuration for OIDC Metadata containing endpoints to various identity services, as well as information about the identity server.OidcConfig.Builder.oidcMetadata(JsonObject metadata) JsonObject with the OIDC Metadata.OidcConfig.Builder.oidcMetadataWellKnown(Boolean useWellKnown) If set to true, metadata will be loaded from default (well known) location, unless it is explicitly defined using oidc-metadata-resource.Name of a query parameter that contains the JWT token when parameter is used.OidcConfig.Builder.postLogoutUri(URI uri) URI to redirect to once the logout process is done.Proxy host to use.OidcConfig.Builder.proxyPort(int proxyPort) Proxy port.OidcConfig.Builder.proxyProtocol(String protocol) Proxy protocol to use when proxy is used.Realm to return when not redirecting and an error occurs that sends back WWW-Authenticate header.OidcConfig.Builder.redirect(boolean redirect) By default the client should redirect to the identity server for the user to log in.OidcConfig.Builder.redirectAttemptParam(String paramName) Configure the parameter used to store the number of attempts in redirect.OidcConfig.Builder.redirectUri(String redirectUri) URI to register web server component on, used by the OIDC server to redirect authorization requests to after a user logs in or approves scopes.OidcConfig.Builder.scopeAudience(String audience) Audience of the scope required by this application.OidcConfig.Builder.serverType(String type) Configure one of the supported types of identity servers.A resource pointing to JWK with public keys of signing certificates used to validate JWT.SetJwkKeysto use for JWT validation.OidcConfig.Builder.tokenEndpointAuthentication(OidcConfig.ClientAuthentication tokenEndpointAuthentication) Type of authentication to use when invoking the token endpoint.OidcConfig.Builder.tokenEndpointUri(URI uri) URI of a token endpoint used to obtain a JWT based on the authentication code.Whether to use cookie to store JWT between requests.Whether to expect JWT in a header field.Whether to use a query parameter to send JWT token from application to this server.OidcConfig.Builder.validateJwtWithJwk(Boolean useJwk) Use JWK (a set of keys to validate signatures of JWT) to validate tokens.